//
// Lock.h
//

#pragma once

#include <Raym/Object.h>

namespace Raym
{

class Lock : public Object
{
protected:
    Lock();
    ~Lock();

public:
    static Lock *alloc();
    Lock *init();
    Lock *retain();
    Lock *autorelease();

    void lock();
    void unlock();

    virtual const char *className();
};

} // Raym

